Package xg

# Interface Validator.EnumValidatorOptionsOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Validator.EnumValidatorOptions`, `Validator.EnumValidatorOptions.Builder`

Enclosing class:
  Validator

public static interface Validator.EnumValidatorOptionsOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getNotEqual()`
`optional string not_equal = 1;`
`ByteString`
`getNotEqualBytes()`
`optional string not_equal = 1;`
`boolean`
`hasNotEqual()`
`optional string not_equal = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasNotEqual

boolean hasNotEqual()
`optional string not_equal = 1;`

Returns:
  Whether the notEqual field is set.

### getNotEqual

String getNotEqual()
`optional string not_equal = 1;`

Returns:
  The notEqual.

### getNotEqualBytes

ByteString getNotEqualBytes()
`optional string not_equal = 1;`

Returns:
  The bytes for notEqual.